# Third-Party Licenses

This directory contains the licenses for the third-party tools and libraries used in this project. Below is a list of the tools along with their licenses.

## Tools and Licenses

| Tool Name      | Usage                                                                  | Repository Page                                                                       | License    |
|----------------|------------------------------------------------------------------------|--------------------------------------------------------------------------------------|------------|
| Parsi.io       | Number extraction & number to text conversion                          | [GitHub](https://github.com/language-ml/parsi.io)                                    | Apache-2.0 |
| Hazm           | Text normalization                                                     | [GitHub](https://github.com/roshan-research/hazm)                                     | MIT        |
| Pydub          | Silence detection/removal                                              | [GitHub](https://github.com/jiaaro/pydub)                                            | MIT        |
| Perpos         | Part of speech tagging for sentence tokenization                       | [GitHub](https://github.com/mhbashari/perpos)                                        | MIT        |
| Vosk           | Forced alignment                                                       | [GitHub](https://github.com/alphacep/vosk)                                           | Apache-2.0 |
| Whisper-fa     | Forced alignment                                                       | [HuggingFace](https://huggingface.co/speechbrain/asr-whisper-large-v2-commonvoice-fa) | Apache-2.0 |
| Wav2vec2-v3    | Forced alignment                                                       | [HuggingFace](https://huggingface.co/m3hrdadfi/wav2vec2-large-xlsr-persian-v3)       | -          |
| Wav2vec2-fa    | Forced alignment                                                       | [GitHub](https://github.com/Hamtech-ai/wav2vec2-fa)                                  | Apache-3.0 |
| Hezar          | Forced alignment                                                       | [GitHub](https://github.com/hezarai/hezar)                                           | Apache-2.0 |
| JiWER          | CER calculation                                                        | [GitHub](https://github.com/jitsi/jiwer)                                             | Apache-2.0 |

## License Files

This directory also contains the actual license files for each tool:

- [Parsi.io License (Apache-2.0)](parsi_io.txt)
- [Hazm License (MIT)](hazm.txt)
- [Pydub License (MIT)](pydub.txt)
- [Perpos License (MIT)](perpos.txt)
- [Vosk License (Apache-2.0)](vosk.txt)
- [Whisper-fa License (Apache-2.0)](whisper_fa.txt)
- [Wav2vec2-fa License (Apache-3.0)](wav2vec2_fa.txt)
- [Hezar License (Apache-2.0)](hezar.txt)
- [JiWER License (Apache-2.0)](jiwer.txt)

Please refer to these files for the full text of each license.
